<?php

/**
 * Require della classe gCloud_Storage
 */
require_once "gCloud_Storage.php";

/**
 * L'invio di file multipli va effettuato solo qualora si necessiti di operare su 
 * repository nei quali è definita almeno una chain in cui il primo plugin necessita 
 * di elaborare parallelamente più di un file
 */
if ($argc != 3) {
    die("\n\nAttenzione!\n\nNon hai specificato abbastanza parametri: \n" . $argv[0] . " <repositoryName> <Authentication> \n\n");
}

$repositoryName = $argv[1];
$Authentication = $argv[2];

$Storage = new gCloud_Storage();
$Storage->repositoryName = $repositoryName;
$Storage->Authentication = $Authentication;

$localFiles = array(
    0 => array(
        'path' => 'CONSERVAZIONE/meta-data-idv.xml',
        'publicName' => 'meta-data-idv.xml',
        'mime' => 'application/xml'
    ),
    1 => array(
        'path' => 'CONSERVAZIONE/doc_1.txt',
        'publicName' => 'doc_1.txt',
        'mime' => 'text/plain'
    )
);

$fileKeys = $Storage->sendMultipleFiles($localFiles, FALSE);

if ($fileKeys != FALSE) {
    echo "\n";
    echo "Il sistema ha ritornato le seguenti fileKey:\n";
    print_r($fileKeys);
    echo "\n";
} else {
    echo "\n";
    echo "Il sistema ha tornato errore: " . $Storage->LastError . "\n";
    echo "\n";
}
